axis-c-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carsten Blecken" <>
Subject RE: OS and compiler compatibilites
Date Wed, 18 May 2005 21:03:52 GMT
We compile on RedHat EL 3 (gcc 3.2.3) on an as needed basis.
Also on WinXP using VC7 and VC6. (Axisc finally compiles under VC7,
but gives plenty of warnings). 
Having the app in VC7 and the client library (AxisClient.dll) compiled
under VC6 leads to problems throwing exceptions over the dll
boundary (arriving in the catch(...) block), so with a VC7 app
it seems better to use a VC7 Axis c lib.
I tried to compile under Solaris using CC, but ran into compilation 
problems. Does anybody tried solaris lately?
-----Original Message-----
From: Samisa Abeysinghe []
Sent: Wednesday, May 18, 2005 1:13 AM
To: Apache AXIS C Developers List
Subject: RE: OS and compiler compatibilites

We build on these on a daily basis. However I once downloaded 1.5 binary and tested out on
a Win 2003 server machine to write out the simple axis server howto and it worked fine. I
have not tried nightly builds though.
-----Original Message-----
From: John Hawkins [] 
Sent: Wednesday, May 18, 2005 1:55 PM
To: Apache AXIS C Developers List
Subject: RE: OS and compiler compatibilites

So, do you build the code on these platforms or use a nightly build from the website and only
build your clients? 

"Samisa Abeysinghe" <> wrote on 18/05/2005 04:53:39:

> Hi John, 
>             We run our test server on windows 2003 server and VC++ 
> 6. (So only the OS differes). In addition, we develop on Win XP 
> machines with VC6. 
>             We have never tried VC7. 
>             Linux: We have Fedora core 2 system with gcc version 3.3.3 
> Thanks, 
> Samisa...           
> -----Original Message-----
> From: John Hawkins [] 
> Sent: Tuesday, May 17, 2005 2:40 PM
> To:
> Subject: OS and compiler compatibilites 
> Hi Folks, 
> Does any one have any information on what OS's and compilers on 
> those OS's are upwards compatibile? i.e. if I build using compiler 
> level 'a' what newer levels of compiler and Os can I build and run my app on?
> If you could give me any information on what you are running AXISCPP
> on would help i.e. if you are taking a nightly build then you are 
> taking a build from a win 2003 box running msvc 6.0 - have you got 
> it running clients built on different OS levels/compilers (we now it
> runs on winXP and win2000 using the same compiler anyone tried 
> building their app using a diff compiler for instance) ? 
> any help is gratefully appreciated ! 
> thanks, 
> John.

View raw message